Message 65439

Author
Marc
Date
2021-03-12.12:08:15
Message id
65439

Content

Note : I can also dump database tables if so required

Traceback (most recent call last):
File "/usr/local/lib/python37/dist-packages/trytond/model/modelpy", line 282, in __getattr__
return self_values[name]
TypeError: 'NoneType' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python37/dist-packages/trytond/wsgipy", line 116, in dispatch_request
return endpoint(request, *requestview_args)
File "/usr/local/lib/python37/dist-packages/trytond/protocols/dispatcherpy", line 48, in rpc
request, database_name, *requestrpc_params)
File "/usr/local/lib/python37/dist-packages/trytond/wsgipy", line 83, in auth_required
return wrapped(
args, *kwargs)
File "/usr/local/lib/python37/dist-packages/trytond/protocols/wrapperspy", line 131, in wrapper
return func(request, pool, *args, *
kwargs)
File "/usr/local/lib/python37/dist-packages/trytond/protocols/dispatcherpy", line 186, in _dispatch
result = rpcresult(meth(inst, c_args, *c_kwargs))
File "/usr/local/lib/python37/dist-packages/trytond/model/modelviewpy", line 88, in wrapper
result = func(self, args, *kwargs)
File "/usr/local/lib/python37/dist-packages/trytond/model/fields/fieldpy", line 118, in wrapper
return func(self, args, *kwargs)
File "/usr/local/lib/python37/dist-packages/trytond/modules/commission/invoicepy", line 181, in on_change_product
super(InvoiceLine, self)on_change_product()
File "/usr/local/lib/python37/dist-packages/trytond/model/fields/fieldpy", line 118, in wrapper
return func(self, args, *kwargs)
File "/usr/local/lib/python37/dist-packages/trytond/modules/account_asset/invoicepy", line 44, in on_change_product
super(InvoiceLine, self)on_change_product()
File "/usr/local/lib/python37/dist-packages/trytond/model/fields/fieldpy", line 118, in wrapper
return func(self, args, *kwargs)
File "/usr/local/lib/python37/dist-packages/trytond/modules/account_invoice/invoicepy", line 2025, in on_change_product
pattern = self_get_tax_rule_pattern()
File "/usr/local/lib/python37/dist-packages/trytond/model/fields/fieldpy", line 118, in wrapper
return func(self, args, *kwargs)
File "/usr/local/lib/python37/dist-packages/trytond/modules/account_tax_rule_country/accountpy", line 124, in _get_tax_rule_pattern
invoice_address = selforiginpurchaseinvoice_address
File "/usr/local/lib/python37/dist-packages/trytond/model/modelstoragepy", line 1414, in __getattr__
return super(ModelStorage, self)__getattr__(name)
File "/usr/local/lib/python37/dist-packages/trytond/model/modelpy", line 285, in __getattr__
% (self__name__, name, self_values))
AttributeError: 'purchaseline' Model has no attribute 'purchase': None

History
Date User Action Args
2021-03-12 12:08:15Marcsetmessageid: <1615547295.5481322.QZWAIL5AWDG7HDN3.issue10186@tryton.org>
2021-03-12 12:08:15Marcsetrecipients: + pokoli
2021-03-12 12:08:15Marclinkissue10186 messages
2021-03-12 12:08:15Marccreate

Showing 10 items. Show all history (warning: this could be VERY long)